
Infrastructure - Task #4234

Story # 4230 (Closed): CN System Metadata needs tidying

Refactor Metacat DAO to use bulk data transfer calls

2014-01-23 17:00 - Chris Jones

Status: Closed Start date: 2014-01-24

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication_auditor Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

We've been using the SystemMetadataDao in a pid-by-pid fashion, and plan to do bulk updates of the CNs instead.  We will still be

merging system metadata in a pid-by-pid fashion, and writing the results to a local database table.  However, once all pids are

processed, we will move the tables in bulk to the remote CNs.

Subtasks:

Task # 4235: Enable bulk read of system metadata from all 3 CNs Closed

Related issues:

Related to Infrastructure - Task #4223: Implement the Metacat DAO layer for a... Closed 2014-01-08

Associated revisions

Revision e1db6fb1 - 2014-01-29 15:47 - Chris Jones

Refactor the d1_cn_common SystemMetadataDao layer to be able to pass in a DataSource and a map of table names that represent the 5 Metacat

system metadata tables (identifier, systemmetadata, smreplicationpolicy, smreplicationstatus, xml_access).  The map provides a lookup to the

standard names when a specific database may have tables prefixed like 'unm_identifier'.

Also update the SystemMetadataDaoMetacatImpl and it's test to conform to the new interface.  In progress. Needs testing.
History

#1 - 2014-07-30 20:26 - Robert Waltz

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
